List Calls
Hand off to an LLM
List workflow calls with filtering and pagination.
Returns calls created via POST /v3/workflows/{workflowName}/call.
Filtering
callIDs: Specific call identifiersreferenceIDs: Your custom reference IDsworkflowIDs/workflowNames: Filter by workflow
Pagination
Use startingAfter and endingBefore cursors with a default limit of 50.
Authorization
API Key x-api-key<token>
Authenticate using API Key in request header
In: header
Query Parameters
limit?integer
Default
50Range
1 <= value <= 100callIDs?array<>
Items
1 <= itemsworkflowIDs?array<>
Items
1 <= itemsworkflowNames?array<>
Items
1 <= itemsreferenceIDs?array<>
Items
1 <= itemsstatuses?array<>
Filter by one or more statuses.
Items
1 <= itemsreferenceIDSubstring?string
Case-insensitive substring match against callReferenceID.
sortOrder?string
Default
"asc"Value in
"asc" | "desc"startingAfter?string
endingBefore?string
Response Body
application/json
curl -X GET "https://api.bem.ai/v3/calls"{
"calls": [
{
"callID": "string",
"status": "pending",
"createdAt": "2019-08-24T14:15:22Z",
"finishedAt": "2019-08-24T14:15:22Z",
"workflowID": "string",
"workflowName": "string",
"workflowVersionNum": 0,
"callReferenceID": "string",
"outputs": [
{
"functionCallTryNumber": 0,
"eventID": "string",
"createdAt": "2019-08-24T14:15:22Z",
"referenceID": "string",
"inboundEmail": {
"to": "string",
"deliveredTo": "string",
"from": "string",
"subject": "string"
},
"metadata": {
"durationFunctionToEventSeconds": 0
},
"eventType": "transform",
"functionCallID": "string",
"functionID": "string",
"functionName": "string",
"functionVersionNum": 0,
"callID": "string",
"workflowID": "string",
"workflowName": "string",
"workflowVersionNum": 0,
"pipelineID": "string",
"publishedAt": "2019-08-24T14:15:22Z",
"lastPublishErrorAt": "string",
"inputType": "csv",
"transformationID": "string",
"s3URL": "string",
"inputs": [
{
"inputType": "string",
"inputContent": "string",
"jsonInputContent": {},
"s3URL": "string"
}
],
"transformedContent": {},
"correctedContent": {
"output": [
{}
]
},
"invalidProperties": [
"string"
],
"metrics": {
"metrics": {
"accuracy": 0,
"precision": 0,
"recall": 0,
"f1Score": 0
},
"differences": [
{
"category": "string",
"correctedVal": null,
"extractedVal": null,
"jsonPointer": "string"
}
]
},
"orderMatching": true,
"isRegression": true,
"itemOffset": 0,
"itemCount": 0,
"fieldConfidences": {},
"avgConfidence": 0.1
}
],
"errors": [
{
"functionCallTryNumber": 0,
"eventID": "string",
"createdAt": "2019-08-24T14:15:22Z",
"referenceID": "string",
"inboundEmail": {
"to": "string",
"deliveredTo": "string",
"from": "string",
"subject": "string"
},
"metadata": {
"durationFunctionToEventSeconds": 0
},
"eventType": "error",
"functionCallID": "string",
"functionID": "string",
"functionName": "string",
"functionVersionNum": 0,
"callID": "string",
"workflowID": "string",
"workflowName": "string",
"workflowVersionNum": 0,
"message": "string"
}
],
"input": {
"singleFile": {
"inputType": "string",
"s3URL": "string"
},
"batchFiles": {
"inputs": [
{
"inputType": "string",
"itemReferenceID": "string",
"s3URL": "string"
}
]
}
},
"url": "string",
"traceUrl": "string"
}
],
"totalCount": 0,
"error": "string"
}See also
- System overview — how calls produce events and transformations
- Polling and retries — wait=true semantics, polling cadence